cascading.flow.stream.element

## Class MemoryCoGroupGate

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Gate<Incoming,Outgoing>
    - - cascading.flow.stream.element.SpliceGate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>
      - - cascading.flow.stream.element.GroupingSpliceGate
        - - cascading.flow.stream.element.MemorySpliceGate
          - - cascading.flow.stream.element.MemoryCoGroupGate

- All Implemented Interfaces:
    Collapsing, Window, ElementDuct

      public class MemoryCoGroupGate
      extends MemorySpliceGate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `GroupingSpliceGate.DelegatedTuple`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.element.MemorySpliceGate

      `closure, count, keys, keyValues, numIncomingEventingPaths`

    - ### Fields inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `groupComparators, groupHasher, grouping, groupSortTuple, groupTuple, keyBuilder, keyEntry, keyFields, keyTuple, nullsAreNotEqual, ordinalMap, sortBuilder, sortFields, tupleEntryIterator, valueComparators, valuesBuilder, valuesFields, valueTuple`

    - ### Fields inherited from class cascading.flow.stream.element.SpliceGate

      `flowProcess, incomingScopes, outgoingScopes, role, splice`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next, ordinal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryCoGroupGate(FlowProcess flowProcess, Splice splice)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete(Duct previous)`
    `protected boolean` | `isBlockingStreamed()`
    `void` | `receive(Duct previous, TupleEntry incomingEntry)`
    `void` | `start(Duct previous)`

    - ### Methods inherited from class cascading.flow.stream.element.MemorySpliceGate

      `bind, createDefaultNarrowBuilder, createKeySet, createKeyValuesArray, createTupleMap, initialize, prepare`

    - ### Methods inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `cleanup, createNarrowBuilder, createNulledBuilder, equals, getDelegatedTuple, getKeyComparator, getNumDeclaredIncomingBranches, hashCode, initComparators, setOrdinalMap, toString`

    - ### Methods inherited from class cascading.flow.stream.element.SpliceGate

      `getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, getSplice, handleException, handleReThrowableException, hasTrapHandler, setBranchNames, setTrapHandler`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `getNext, getNextFor, receiveFirst`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MemoryCoGroupGate

          public MemoryCoGroupGate(FlowProcess flowProcess,
                           Splice splice)

  - ### Method Detail

    - #### isBlockingStreamed

          protected boolean isBlockingStreamed()

      Specified by:
        `isBlockingStreamed` in class `MemorySpliceGate`

    - #### start

          public void start(Duct previous)

      Overrides:
        `start` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

    - #### receive

          public void receive(Duct previous,
                     TupleEntry incomingEntry)

      Specified by:
        `receive` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

    - #### complete

          public void complete(Duct previous)

      Overrides:
        `complete` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.